Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.latex.i18n
Class UnicodeTableHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          writer2latex.latex.i18n.UnicodeTableHandler

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

     class UnicodeTableHandler

extends org.xml.sax.helpers.DefaultHandler

Field Summary
`private boolean` | `b8bit`
`private boolean` | `bGlobalReadThisSet`
`private boolean` | `bReadThisSet`
`private int` | `nFontencs`
`private int` | `nGlobalFontencs`
`private java.lang.String` | `sSymbolSets`
`private UnicodeTable` | `table`
`private java.util.Hashtable` | `tableSet`

Constructor Summary
`UnicodeTableHandler(java.util.Hashtable tableSet, java.lang.String sSymbolSets)`

Method Summary
`void` | `endElement(java.lang.String nameSpace, java.lang.String localName, java.lang.String qName)`
`void` | `startElement(java.lang.String nameSpace, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tableSet

    private java.util.Hashtable tableSet

### table

    private UnicodeTable table

### sSymbolSets

    private java.lang.String sSymbolSets

### bGlobalReadThisSet

    private boolean bGlobalReadThisSet

### bReadThisSet

    private boolean bReadThisSet

### nGlobalFontencs

    private int nGlobalFontencs

### nFontencs

    private int nFontencs

### b8bit

    private boolean b8bit

Constructor Detail

### UnicodeTableHandler

    UnicodeTableHandler(java.util.Hashtable tableSet,
                        java.lang.String sSymbolSets)

Method Detail

### startElement

    public void startElement(java.lang.String nameSpace,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes attributes)

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startElement` in class `org.xml.sax.helpers.DefaultHandler`

### endElement

    public void endElement(java.lang.String nameSpace,
                           java.lang.String localName,
                           java.lang.String qName)

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endElement` in class `org.xml.sax.helpers.DefaultHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD